@keyframes top-left-curve {
    from {
        opacity: 0;
        -webkit-border-top-right-radius: 0;
        -moz-border-radius-topright: 0;
        border-top-right-radius: 0;
    }

    to {
        opacity: 1;
        -webkit-border-top-right-radius: 300px;
        -moz-border-radius-topright: 300px;
        border-top-right-radius: 300px;
    }
}

@keyframes top-right-curve {
    from {
        opacity: 0;
        -webkit-border-top-left-radius: 0;
        -moz-border-radius-topleft: 0;
        border-top-left-radius: 0;
    }

    to {
        opacity: 1;
        -webkit-border-top-left-radius: 300px;
        -moz-border-radius-topleft: 300px;
        border-top-left-radius: 300px;
    }
}

@keyframes bottom-left-curve {
    from {
        opacity: 0;
        -webkit-border-bottom-right-radius: 0;
        -moz-border-radius-bottomright: 0;
        border-bottom-right-radius: 0;
    }

    to {
        opacity: 1;
        -webkit-border-bottom-right-radius: 300px;
        -moz-border-radius-bottomright: 300px;
        border-bottom-right-radius: 300px;
    }
}

@keyframes bottom-right-curve {
    from {
        opacity: 0;
        -webkit-border-bottom-left-radius: 0;
        -moz-border-radius-bottomleft: 0;
        border-bottom-left-radius: 0;
    }

    to {
        opacity: 1;
        -webkit-border-bottom-left-radius: 300px;
        -moz-border-radius-bottomleft: 300px;
        border-bottom-left-radius: 300px;
    }
}

@keyframes double-curve {
    from {
        opacity: 0;
        -webkit-border-top-left-radius: 0;
        -moz-border-radius-topleft: 0;
        border-top-left-radius: 0;
        -webkit-border-bottom-right-radius: 0;
        -moz-border-radius-bottomright: 0;
        border-bottom-right-radius: 0;
    }

    to {
        opacity: 1;
        -webkit-border-top-left-radius: 300px;
        -moz-border-radius-topleft: 300px;
        border-top-left-radius: 300px;
        -webkit-border-bottom-right-radius: 300px;
        -moz-border-radius-bottomright: 300px;
        border-bottom-right-radius: 300px;
    }
}

@keyframes line-reveal-horizontal {
    from {
        width: 100%;
    }

    to {
        width: 0;
    }
}

@keyframes line-reveal-vertical {
    from {
        height: 100%;
    }

    to {
        height: 0;
    }
}


@keyframes appear {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}



html,
body {
    height: 100%;
    margin: 0;
}

body {
    font-size: var(--fs-label);
    text-transform: uppercase;

    display: flex;
    justify-content: center;
    align-items: center;

    padding: 36px 0;
    /* keep your spacing */
    box-sizing: border-box;
    /* ensures padding doesn't overflow */
    overflow: hidden;
    /* no scroll */
}

main {
    width: 100%;
    height: 100%;
    margin: 24pt 12pt;
    padding: 0 12pt;
    /* fill body */

    display: grid;
    grid-template-columns: 0.5fr repeat(2, 2fr) 0.5fr;
    grid-template-rows: 1fr 24pt 1fr;
}

.parent_desktop {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: repeat(2, 1fr);
    grid-column-gap: 0px;
    grid-row-gap: 0px;
    width: 100%;
    height: 100%;
    padding: 0 24pt;
    padding-left: 48pt;
    animation: appear 1.25s ease forwards;
}

.parent_mobile {
    animation: appear 1.25s ease forwards;  
    display: none;
}

a {
    background-color: var(--color-main-light);
    padding: 2pt 6pt;
    color: var(--color-main-dark);
    text-decoration: none;
    -webkit-transition: color 0.3s ease;
    transition: color 0.3s ease;
    z-index: 10;
    -webkit-tap-highlight-color: transparent;
}

a:nth-of-type(1):hover {
    color: var(--color-supp-lavender);
}

.top-right-text {
    grid-area: 1 / 3 / 2 / 5;
    display: flex;
    justify-content: center;
    align-items: first baseline;
    transform: translateY(-18pt);
}

.top-left-text {
    display: flex;
    align-items: first baseline;
    transform: translate(-36pt, -18pt);
    grid-area: 1 / 1 / 2 / 2;
}

.center-text {
    grid-area: 1 / 2 / 3 / 4;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-transform: lowercase;
    font-weight: 600;
    padding-top: 2pt;
    padding-bottom: 4pt;
}

.bottom-left-curve,
.bottom-right-curve,
.bottom-line,
.left-line,
.top-right-line,
.top-left-curve,
.top-right-curve,
.top-right-double-curve {
    position: relative;
    z-index: -1;
}

.parent_desktop .bottom-right-text {
    grid-area: 2 / 3 / 3 / 5;
    display: flex;
    align-items: last baseline;
    justify-content: center;
    transform: translateY(18pt);
}

.parent_desktop .bottom-left-text {
    grid-area: 2 / 1 / 3 / 3;
    display: flex;
    align-items: last baseline;
    justify-content: center;
    transform: translateY(18pt);
}

.parent_desktop .top-left-curve {
    grid-area: 1 / 1 / 2 / 3;
    border-bottom: 1pt solid var(--color-main-dark);
    border-left: 1pt solid var(--color-main-dark);
    border-radius: 0 0 0 400px;
    animation: bottom-right-curve 1.25s ease forwards;
}

.parent_desktop .top-right-double-curve {
    grid-area: 1 / 3 / 2 / 4;
    border: 1pt solid var(--color-main-dark);
    animation: double-curve 1.25s ease forwards;
}

.parent_desktop .top-right-line {
    grid-area: 1 / 4 / 2 / 5;
    border-top: 1pt solid var(--color-main-dark);
}

.top-right-line::after {
    position: absolute;
    top: -2pt;
    left: 0;
    width: 100%;
    height: 100%;
    border-top: 4pt solid var(--color-main-light);
    content: "";
    z-index: 1;
    animation: line-reveal-horizontal 1.25s ease-in-out forwards;
}

.parent_desktop .bottom-left-curve {
    grid-area: 2 / 2 / 3 / 3;
    border-top: 1pt solid var(--color-main-dark);
    border-left: 1pt solid var(--color-main-dark);
    animation: top-right-curve 1.25s ease forwards;
}

.parent_desktop .bottom-line {
    grid-area: 2 / 2 / 3 / 4;
    border-bottom: 1pt solid var(--color-main-dark);
}

.bottom-line::after {
    position: absolute;
    bottom: -2pt;
    left: 0;
    width: 100%;
    height: 100%;
    border-bottom: 4pt solid var(--color-main-light);
    content: "";
    z-index: 1;
    animation: line-reveal-horizontal 1.25s ease-in-out forwards;
}

.parent_desktop .left-line {
    grid-area: 1 / 1 / 3 / 2;
    border-left: 1pt solid var(--color-main-dark);
}

.left-line::after {
    position: absolute;
    bottom: 0;
    left: -2pt;
    width: 100%;
    height: 100%;
    border-left: 4pt solid var(--color-main-light);
    content: "";
    z-index: 1;
    animation: line-reveal-vertical 1.25s ease-in-out forwards;
}


@media screen and (min-width: 375px) and (max-width: 768px) {
    main {
        margin: 24pt auto;
        padding: 0 9pt;
    }

    body {
        padding: 12px;
    }

    a {
        padding: 0;
        background-color: transparent;
    }

    .parent_mobile {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: 24pt 1fr 24pt 1fr 24pt;
        grid-column-gap: 0px;
        grid-row-gap: 0px;
    }

    .parent_desktop {
        display: none;
    }

    .top-right-text {
        grid-area: 1 / 1 / 2 / 2;
        transform: translateY(0);
        display: block;
        margin-left: 0;
    }

    .top-left-text {
        grid-area: 1 / 2 / 2 / 3;
        transform: translateY(0);
        margin-right: 0;
        justify-content: right;
    }

    .bottom-right-text {
        grid-area: 5 / 2 / 6 / 3;
        transform: translateY(0);
        margin-left: 0;
        display: block;
        text-align: right;
    }

    .bottom-left-text {
        grid-area: 5 / 1 / 6 / 2;
        transform: translateY(0);
        margin-right: 0;
        display: block;
    }

    .center-text {
        grid-area: 3 / 1 / 4 / 3;
    }

    .parent_mobile .top-left-curve {
        border-right: 1pt solid var(--color-main-dark);
        border-top: 1pt solid var(--color-main-dark);
        grid-area: 2 / 1 / 3 / 2;
        animation: top-left-curve 2s ease-in-out forwards;
    }

    .parent_mobile .top-right-curve {
        grid-area: 2 / 2 / 3 / 3;
        border-top: 1pt solid var(--color-main-dark);
        border-left: 1pt solid var(--color-main-dark);
        animation: top-right-curve 2s ease-in-out forwards;
        margin-left: -1pt;
    }

    .parent_mobile .bottom-left-curve {
        grid-area: 4 / 1 / 5 / 2;
        border-bottom: 1pt solid var(--color-main-dark);
        border-right: 1pt solid var(--color-main-dark);
        animation: bottom-left-curve 2s ease-in-out forwards;
    }

    .parent_mobile .bottom-right-curve {
        grid-area: 4 / 2 / 5 / 3;
        border-bottom: 1pt solid var(--color-main-dark);
        border-left: 1pt solid var(--color-main-dark);
        animation: bottom-right-curve 2s ease-in-out forwards;
        margin-left: -1pt;
    }
}